<?php

namespace App\Http\Controllers;
use App\User;
use App\deposit;
use App\Post;
use App\daily_monthly_profit;


use Illuminate\Support\Facades\Auth;

use Spatie\Permission\Models\Role;

use Illuminate\Http\Request;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {

        $this->middleware('permission:view-user')->except(['profile', 'profileUpdate']);
        $this->middleware('permission:create-user', ['only' => ['create','store']]);
        $this->middleware('permission:update-user', ['only' => ['edit','update']]);
        $this->middleware('permission:destroy-user', ['only' => ['destroy']]);
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {

        $users= User::get();
        $count = $users->count();

        $amount= deposit::get();
        $total_investment = $amount->sum('amount');
        
        $witdraw= daily_monthly_profit::get();
        $Wamount = $witdraw->sum('amount');




        $get_list= User::orderBy('created_at', 'DESC')->paginate(5);
      
        return view('home', compact('count','get_list','total_investment','Wamount'));
    }
}
