<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\daily_monthly_profit;
use App\deposit;
use APP\User;
use Illuminate\Support\Facades\DB;
use PDF;
use Illuminate\Support\Arr;
use Carbon\Carbon;
class profitController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        if ($request->has('search')) {
            // $users = User::where('name', 'like', '%'.$request->search.'%')->paginate(setting('record_per_page', 15));
         
            $users = DB::table('users')
             ->join('deposits', 'users.id', '=', 'deposits.user_id')
             ->join('investment_types', 'deposits.investment_id', '=', 'investment_types.id')
             ->select('users.*', 'deposits.amount', 'deposits.id AS did','investment_types.title')
             ->where('name', 'like', '%'.$request->search.'%')
             ->where('deposits.status',1)
             ->get();
 
         }elseif($request->has('plan')) {  // when User press on button 
             // $users = User::where('name', 'like', '%'.$request->search.'%')->paginate(setting('record_per_page', 15));
             
            if($request->plan == 'Personal'){
                $plan = 1;

                $users = DB::table('users')
                ->join('deposits', 'users.id', '=', 'deposits.user_id')
                ->join('investment_types', 'deposits.investment_id', '=', 'investment_types.id')
                ->select('users.*', 'deposits.amount', 'deposits.id AS did','investment_types.title')
                ->where('deposits.investment_id', $plan)
                ->where('deposits.status',1)
                ->get();
               
            }elseif($request->plan == 'Group'){
                $plan = 2;
                $users = DB::table('users')
                ->join('deposits', 'users.id', '=', 'deposits.user_id')
                ->join('investment_types', 'deposits.investment_id', '=', 'investment_types.id')
                ->select('users.*', 'deposits.amount', 'deposits.id AS did','investment_types.title')
                ->where('deposits.investment_id',$plan)
                ->where('deposits.status',1)
                ->get();
            }elseif($request->plan == 'Short-Long'){
                $plan = 3;
                $users = DB::table('users')
                ->join('deposits', 'users.id', '=', 'deposits.user_id')
                ->join('investment_types', 'deposits.investment_id', '=', 'investment_types.id')
                ->select('users.*', 'deposits.amount', 'deposits.id AS did','investment_types.title')
                ->where('deposits.investment_id', $plan)
                ->where('deposits.status',1)
                ->get();
            }

           
  
          }else{
             $users = DB::table('users')
             ->join('deposits', 'users.id', '=', 'deposits.user_id')
             ->join('investment_types', 'deposits.investment_id', '=', 'investment_types.id')
             ->select('users.*', 'deposits.amount', 'deposits.id AS did','investment_types.title')
             ->where('deposits.status',1)
             ->get();
             //$users= User::paginate(setting('record_per_page', 15));
            //  $users = User::with(['user','deposit'])->paginate(setting('record_per_page', 15));
         }
         $title =  'Manage Users';
        
         return view('profit.index', compact('users','title'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function addProfit(Request $request)
    {
        
        for($i = 0 ; $i<count($request->user_id); $i++){

        // $values[] = array('user_id' => $request->user_id[$i],
        //               'amount' => $request->profit_amount[$i],
        //               'percentage' => $request->percent[$i],
        //               'status' => 1,
        //               'created_at' =>  Carbon::now(),
        //               'updated_at' =>  Carbon::now(), 
        //               'deposit_id' => $request->deposit_id[$i] );


                    $db = new daily_monthly_profit();

                    $db->user_id = $request->user_id[$i];
                    $db->amount = $request->profit_amount[$i];
                    $db->percentage = $request->percent[$i];
                    $db->status = 1;
                    if($request->created_at){

                        $db->created_at = $request->created_at;

                     }else{

                        $db->created_at = Carbon::now();
                    }
                  
                    
                    $db->updated_at = Carbon::now();
                    $db->deposit_id = $request->deposit_id[$i];


                    if($request->percent[$i] > 0){
                        $db->save();
                    }

                    ### Here Withdrawable Amount will decrement ###
                    $update_data=deposit::where('user_id',$request->user_id[$i])->first();

                    $withdrawable_amount = $update_data->withdrawable;
                    $capital_amount = $update_data->amount;
                    $plan_id = $update_data->investment_id;
                    $Wbalance  =   $withdrawable_amount - $request->profit_amount[$i];
                    $Cbalance =  $capital_amount - $request->profit_amount[$i];


                    ## Here Profit Amount will deducted from withdrawable Column ###
                    if($Wbalance > 0){
                      
                        $update_data->withdrawable = $Wbalance;

                    }
                    
                   
                ## If Plan Personal and Group is selected then capital amount will be deducted in case withdrable amount is remaining###
                    if($Wbalance == 0){
                        $update_data->status = 0;
                        
                        $user_status=User::where('id',$request->user_id[$i])
                                    ->update(['status' => 0]);
                    }else{

                        if($plan_id == 2 || $plan_id == 3){

                            if($Cbalance > 0){
                                
                                $update_data->amount = $Cbalance;
                            }
                            
                        }

                    }
                    

                    $update_data->save();
            }

           // $profit = DB::table('daily_monthly_profit')->insert($values);


       
        return response()->json($db);
    }

    
    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function listProfit(Request $request)
    {
        
        $plan = 0;

        if ($request->has('month')) {

            $month = $request->month;
            $year = $request->year;
            
           // dd($request->plan);

            if($request->plan_id == 1){
             
                $users = DB::table('daily_monthly_profit')
                ->join('users', 'daily_monthly_profit.user_id', '=', 'users.id')
                ->join('deposits', 'daily_monthly_profit.deposit_id', '=', 'deposits.id')
                ->select('users.*', 'deposits.amount AS dep_amount', 'daily_monthly_profit.amount AS profit_amount','daily_monthly_profit.percentage','daily_monthly_profit.created_at')
                ->whereMonth('daily_monthly_profit.created_at', '=', $month)
                ->whereYear('daily_monthly_profit.created_at', '=', $year)
                ->where('deposits.investment_id',$request->plan_id)
                ->get();
                
            }elseif($request->plan_id == 2){
              
                $users = DB::table('daily_monthly_profit')
                ->join('users', 'daily_monthly_profit.user_id', '=', 'users.id')
                ->join('deposits', 'daily_monthly_profit.deposit_id', '=', 'deposits.id')
                ->select('users.*', 'deposits.amount AS dep_amount', 'daily_monthly_profit.amount AS profit_amount','daily_monthly_profit.percentage','daily_monthly_profit.created_at')
                ->whereMonth('daily_monthly_profit.created_at', '=', $month)
                ->whereYear('daily_monthly_profit.created_at', '=', $year)
                ->where('deposits.investment_id',$request->plan_id)
                ->get();

            }elseif($request->plan_id == 3){
               
                $users = DB::table('daily_monthly_profit')
                ->join('users', 'daily_monthly_profit.user_id', '=', 'users.id')
                ->join('deposits', 'daily_monthly_profit.deposit_id', '=', 'deposits.id')
                ->select('users.*', 'deposits.amount AS dep_amount', 'daily_monthly_profit.amount AS profit_amount','daily_monthly_profit.percentage','daily_monthly_profit.created_at')
                ->whereMonth('daily_monthly_profit.created_at', '=', $month)
                ->whereYear('daily_monthly_profit.created_at', '=', $year)
                ->where('deposits.investment_id',$request->plan_id)
                ->get();

            }else{
              
                $users = DB::table('daily_monthly_profit')
                ->join('users', 'daily_monthly_profit.user_id', '=', 'users.id')
                ->join('deposits', 'daily_monthly_profit.deposit_id', '=', 'deposits.id')
                ->select('users.*', 'deposits.amount AS dep_amount', 'daily_monthly_profit.amount AS profit_amount','daily_monthly_profit.percentage','daily_monthly_profit.created_at')
                ->whereMonth('daily_monthly_profit.created_at', '=', $month)
                ->whereYear('daily_monthly_profit.created_at', '=', $year)
                ->get();
                
            }


    
            $title =  'All Profit Record';

            // share data to view
            $pdf = PDF::loadView('profit.showpdf', compact('users','title','month','year'))->setPaper('a4', 'landscape');
   
            return $pdf->download('profit-report-'.$month.'-'.$year.'.pdf');

            
        }
       
        
        if ($request->has('plan')){

            
            if($request->plan == 'Personal'){
                $plan = 1;
                $users = DB::table('daily_monthly_profit')
                ->join('users', 'daily_monthly_profit.user_id', '=', 'users.id')
                ->join('deposits', 'daily_monthly_profit.deposit_id', '=', 'deposits.id')
                ->select('users.*', 'deposits.amount AS dep_amount', 'daily_monthly_profit.amount AS profit_amount','daily_monthly_profit.percentage','daily_monthly_profit.created_at')
                ->where('deposits.investment_id',$plan)
                ->get();
            }elseif($request->plan == 'Group'){
                $plan = 2;
                $users = DB::table('daily_monthly_profit')
                ->join('users', 'daily_monthly_profit.user_id', '=', 'users.id')
                ->join('deposits', 'daily_monthly_profit.deposit_id', '=', 'deposits.id')
                ->select('users.*', 'deposits.amount AS dep_amount', 'daily_monthly_profit.amount AS profit_amount','daily_monthly_profit.percentage','daily_monthly_profit.created_at')
                ->where('deposits.investment_id',$plan)
                ->get();

            }elseif($request->plan == 'Short-Long'){
                $plan = 3;
                $users = DB::table('daily_monthly_profit')
                ->join('users', 'daily_monthly_profit.user_id', '=', 'users.id')
                ->join('deposits', 'daily_monthly_profit.deposit_id', '=', 'deposits.id')
                ->select('users.*', 'deposits.amount AS dep_amount', 'daily_monthly_profit.amount AS profit_amount','daily_monthly_profit.percentage','daily_monthly_profit.created_at')
                ->where('deposits.investment_id',$plan)
                ->get();

            }


            $status = 1;
            $title =  'All Profit Record BY PLAN';
            return view('profit.show', compact('users','title','status','plan'));
        
         }else{

            $users = DB::table('daily_monthly_profit')
            ->join('deposits', 'deposits.id', '=', 'daily_monthly_profit.deposit_id')
            ->select(['deposits.investment_id AS id',
              DB::raw('SUM(daily_monthly_profit.amount) AS profit_amount'),
              DB::raw('SUM(deposits.amount) AS dep_amount')
             ])
             ->groupBy('deposits.investment_id')
             ->get();

             $status = 0;
        
        } 

        $title =  'All Profit Record';
        return view('profit.show', compact('users','title','status','plan'));
    }


    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function reportProfit(Request $request){







    }




    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
