<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Spatie\Activitylog\Traits\LogsActivity;


class deposit extends Model
{
    use LogsActivity;

    protected $fillable = ['user_id', 'amount', 'investment_id', 'category_id', 'withdrawable', 'status','ondate'];


    protected static $logFillable = true;
    protected static $logName = 'deposit';
    protected static $logOnlyDirty = true;

    public function investment_types()
    {
        return $this->hasMany('App\investment_types');
    }


    public function categories()
    {
        return $this->hasMany('App\Category');
    }

    public function user()
    {
        return $this->belongsTo('App\User');
    }
    

}
