<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDepositsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('deposits', function (Blueprint $table) {
            $table->id();
          
            $table->foreignId('user_id')
            ->constrained()
            ->onDelete('cascade');
            $table->integer('amount');

            $table->integer('investment_id');
   
            $table->foreignId('category_id')->nullable()
            ->constrained()
            ->onDelete('cascade');
            $table->integer('withdrawable')->nullable();
            $table->boolean('status')->default(1);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('deposits');
    }
}
