@extends('layouts.app')
@push('pg_btn')
    <a href="{{route('post.index')}}" class="btn btn-sm btn-neutral">All Posts</a>
@endpush
@section('content')
    <div class="row">
        <div class="col-md-12">
            <div class="card mb-5">
                <div class="card-body">
                    {!! Form::open(['route' => ['post.update', $post], 'method'=>'put', 'files' => true]) !!}
                    <h6 class="heading-small text-muted mb-4">Post information</h6>
                        <div class="pl-lg-4">
                            <div class="row">
                                <div class="col-lg-12">
                                    <div class="form-group">
                                        <!-- {{ Form::label('post_title', 'Post title', ['class' => 'form-control-label']) }}
                                        {{ Form::text('post_title', $post->post_title, ['class' => 'form-control']) }} -->

                                        {{ Form::label('user_id', 'User Name', ['class' => 'form-control-label']) }}
                                        {{ Form::select('user_id', $users, $post->user_id, [ 'class'=> 'selectpicker form-control', 'placeholder' => 'Select Type...']) }}
                                    </div>
                                </div>

                                <div class="col-lg-6">
                                        <div class="form-group">
                                        {{ Form::label('post_body', 'Amount PKR', ['class' => 'form-control-label']) }}
                                        {!! Form::text('post_body', $post->post_body, [ 'class'=> 'form-control']) !!}
                                        </div>
                                 </div>
                           

                                <div class="col-lg-6">
                                    <div class="form-group">
                                        {{ Form::label('category_id', 'Transaction Type', ['class' => 'form-control-label']) }}
                                        {{ Form::select('category_id', $categories, $post->category_id, [ 'class'=> 'selectpicker form-control', 'placeholder' => 'Select category...']) }}
                                    </div>
                                </div>

                                <!-- <div class="col-md-4">
                                    <div class="form-group">
                                        {{ Form::label('featured_image', 'Featured image', ['class' => 'form-control-label d-block']) }}
                                        <div class="input-group">
                                            <span class="input-group-btn">
                                              <a id="uploadFile" data-input="thumbnail" data-preview="holder" class="btn btn-secondary">
                                                <i class="fa fa-picture-o"></i> Choose Image
                                              </a>
                                            </span>
                                            <input id="thumbnail" class="form-control d-none" type="text" name="featured_image">
                                        </div>
                                </div> -->
                            </div>

                                   <!-- <div class="col-md-2">
                                            @if ($post->featured_image)
                                                <a href="{{ asset($post->featured_image) }}" target="_blank">
                                                    <img alt="Image placeholder"
                                                    class="avatar avatar-xl  rounded-circle"
                                                    data-toggle="tooltip" data-original-title="{{ $post->name }} Logo"
                                                    src="{{ asset($post->featured_image) }}">
                                                </a>
                                            @endif
                                    </div> -->

                            </div>

                            <div class="col-md-6">
                                    <div class="form-group">
                                      {{ Form::label('ondate', 'Payment Date', ['class' => 'form-control-label']) }}
                                        {{ Form::date('ondate', $post->ondate, ['class' => 'form-control']) }}
                                    </div>
                           </div>
                           
                        </div>

                        <hr class="my-4" />
                        <div class="pl-lg-4">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="custom-control custom-checkbox">
                                        <input type="checkbox" name="status" value="1" {{ $post->status ? 'checked' : ''}}  class="custom-control-input" id="status">
                                        {{ Form::label('status', 'Status', ['class' => 'custom-control-label']) }}
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    {{ Form::submit('Submit', ['class'=> 'mt-5 btn btn-primary']) }}
                                </div>
                            </div>
                        </div>
                    {!! Form::close() !!}
                </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@push('styles')
    <link rel="stylesheet" href="{{ asset('assets/css/summernote-bs4.min.css') }}">
@endpush

@push('scripts')
<script src="{{ asset('assets/js/summernote-bs4.min.js') }}"></script>
<script src="{{ asset('vendor/laravel-filemanager/js/stand-alone-button.js') }}"></script>
<script>
    jQuery(document).ready(function() {
        jQuery('#summernote').summernote({
            height: 150,
            toolbar: [
                // [groupName, [list of button]]
                ['style', ['bold', 'italic', 'underline', 'clear']],
                ['font', ['strikethrough', 'superscript', 'subscript']],
                ['fontsize', ['fontsize']],
                ['color', ['color']],
                ['para', ['ul', 'ol', 'paragraph']],
                ['height', ['height']]
              ]

        });
        jQuery('#uploadFile').filemanager('file');
    });
  </script>
@endpush
