@extends('layouts.app')
@push('pg_btn')
@can('create-user')
    <a href="{{ route('users.create') }}" class="btn btn-sm btn-neutral">Create New User</a>
@endcan
@endpush
@section('content')
<div id="add-takeout-messages"></div>
    <div class="row">
        <div class="col-md-12">
            <div class="card mb-5">
                <div class="card-header bg-transparent">
                    <div class="row">

                         <div class="col-lg-3">
                                {!! Form::open(['route' => 'profit.index', 'method'=>'get']) !!}
                                    <div class="form-group mb-0">
                                    {{ Form::text('search', request()->query('search'), ['class' => 'form-control form-control-sm', 'placeholder'=>'Search users']) }}
                                </div>
                                {!! Form::close() !!}
                         </div>
                       
                        <div class="col-lg-3">
                            <form method="get" action="{{action('profitController@index')}}" accept-charset="UTF-8">
                            @csrf
                                <div class="form-group mb-0">
                                <input type="submit" value="Personal" id="plan" name="plan">
                                <input type="submit" value="Group" id="plan" name="plan">
                                <input type="submit" value="Short-Long" id="plan" name="plan">
                                
                                </div>
                            </form>
                        </div>
                   <!-- Table Form Start Here  -->
                       
                     </div>
                      </br>
                 <form id="daily_profit_form"> 
                        <div class="col-lg-3">
                            
                                <label> Set Date </label>
                                <input type="date" id="created_at" name="created_at">    
                        </div>
                         @csrf
                     <div class="card-body p-0">
                        <div class="table-responsive">
                            <div>
                                <table class="table table-hover align-items-center">
                                    <thead class="thead-light">
                                    <tr>
                                        <th scope="col">Name</th>

                                        
                                        <th scope="col">Plan</th>



                                        <th scope="col">Amount</th>
                                        

                                        <th scope="col">Percent%</th>
                                        


                                        <th scope="col">Profit Amount</th>
                                        
                                        
                                        <!-- <th scope="col">Photo</th> -->
                                        <th scope="col" class="text-center">Action</th>
                                    </tr>
                                    </thead>
                                    <tbody class="list">
                                <!-- Start Foreach Function Here -->
                                @foreach($users as $user)
                                        <tr>
                                            <th scope="row">
                                                {{$user->name}}
                                                <input type="hidden" id="id" name="id[]" value="{{$user->id}}">
                                                
                                            </th>
                                        
                                            <td class="budget">
                                                {{$user->title}}
                                                <input type="hidden"  id="deposit_id" name="deposit_id[]" value="{{$user->did}}">
                                            </td>

                                            <td class="budget">
                                            <input type="number"  id="deposit" name="deposit[]" value="{{$user->amount}}">
                                            
                                            </td>

                                            
                                            <td class="budget">
                                                <input type="number" min="0" max="100" class="percent_value"  id="percent" name="percent[]" value="0">
                                            </td>

                                            
                                            <td>
                                        
                                            <input type="number" class="profit_result"  id="dprofit" name="dprofit[]" value="">
                                        
                                            
                                            </td>
                                        
                                        
                                        
                                            <td class="text-center">
                                                @can('destroy-user')
                                                {!! Form::open(['route' => ['users.destroy', $user->id],'method' => 'delete',  'class'=>'d-inline-block dform']) !!}
                                                @endcan
                                                @can('view-user')
                                                <a class="btn btn-primary btn-sm m-1" data-toggle="tooltip" data-placement="top" title="View and edit user details" href="{{route('users.show', $user->id)}}">
                                                    <i class="fa fa-eye" aria-hidden="true"></i>
                                                </a>
                                                @endcan
                                            
                                                @can('update-user')
                                                <a class="btn btn-info btn-sm m-1" data-toggle="tooltip" data-placement="top" title="Edit user details" href="{{route('users.edit',$user->id)}}">
                                                    <i class="fa fa-edit" aria-hidden="true"></i>
                                                </a>
                                                @endcan
                                                @can('destroy-user')
                                                    <button type="submit" class="btn delete btn-danger btn-sm m-1" data-toggle="tooltip" data-placement="top" title="Delete user" href="">
                                                        <i class="fas fa-trash"></i>
                                                    </button>
                                                {!! Form::close() !!}
                                                @endcan
                                            </td>

                                        </tr>
                                <!-- End ForEach Function Here -->
                                @endforeach
                                    </tbody>
                                    <tfoot >
                                    <tr>
                                        <td colspan="6">
                                        <button type="submit" class="mt-5 btn btn-primary">Add Profit</button>
                                        </td>
                                    </tr>
                                    </tfoot>
                                </table>
                            </div>
                        </div>
                    </div>
                <form>
                <!-- Table Form Ends Here -->
            </div>
        </div>
    </div>
@endsection
@push('scripts')
    <script>
        jQuery(document).ready(function(){
            $('.delete').on('click', function(e){
                e.preventDefault();
                let that = jQuery(this);
                jQuery.confirm({
                    icon: 'fas fa-wind-warning',
                    closeIcon: true,
                    title: 'Are you sure!',
                    content: 'You can not undo this action.!',
                    type: 'red',
                    typeAnimated: true,
                    buttons: {
                        confirm: function () {
                            that.parent('form').submit();
                            //$.alert('Confirmed!');
                        },
                        cancel: function () {
                            //$.alert('Canceled!');
                        }
                    }
                });
            })

            // Get All Values Here
                
             $('.percent_value').on('input',function(){
                var percent = document.getElementsByName('percent[]');
                var profit_amount = document.getElementsByName('dprofit[]');
              
                

                for (var i = 0; i <percent.length; i++) {
                    var percent_input=percent[i];
                    var deposit_input=deposit[i];
                  
                    
                   

                    result_amount = (percent_input.value/100)*deposit_input.value;
                    
                    
                        //alert(percent_input.value);
                        //  console.log(result_amount);
                        $('.profit_result').eq(i).val(result_amount);
    

                }

             });  //Close Input Percent

            //  $('#created_at').bind('change', function(el) {


            //     alert(created_at);

            //  });

             $('#daily_profit_form').submit(function(e){


                e.preventDefault();

                var user_id = $("input[name='id[]']").map(function(){return $(this).val();}).get();
                var deposit_id = $("input[name='deposit_id[]']").map(function(){return $(this).val();}).get();
                var percent = $("input[name='percent[]']").map(function(){return $(this).val();}).get();
                var profit_amount = $("input[name='dprofit[]']").map(function(){return $(this).val();}).get();

                var created_at =  $("input[name=created_at").val();
                var _token =  $("input[name=_token").val()
                

                $.ajax({

                    url:"{{route('add-profit')}}",
                    type:"POST",
                    data:{
                        user_id : user_id,
                        deposit_id : deposit_id,
                        percent : percent,
                        profit_amount : profit_amount,
                        created_at : created_at,
                        _token : _token
                    },
                    success:function(response){
                        alert("Profit Send Successfully...");
                      
                    }
                    
                });


             }); //Close Form Here





            // END HERE Ready Function Here
        })





        

    </script>



@endpush
