@extends('layouts.app')
@push('pg_btn')
@can('create-user')
    <a href="{{ route('profit.index') }}" class="btn btn-sm btn-neutral">Send Profit</a>
@endcan
@endpush
@section('content')
    <div class="row">
        <div class="col-md-12">
            <div class="card mb-5">
             <form method="get" action="{{action('profitController@listProfit')}}" accept-charset="UTF-8">
                 @csrf
                <div class="card-header bg-transparent">
                    <div class="row">
                     
                    <!-- Here GET The Plan ID -->
                    <input type="hidden" id="plan_id" name="plan_id" value="{{$plan}}">

                           <div class="col-lg-4">
                                   
                                    <div class="form-group mb-0">
                                      <select id="month" name="month" class="selectpicker form-control">
                                            <option>month</option>
                                            <option value="01">January</option>
                                            <option value="02">February</option>
                                            <option value="03">March</option>
                                            <option value="04">April</option>
                                            <option value="05">May</option>
                                            <option value="06">June</option>
                                            <option value="07">July</option>
                                            <option value="08">August</option>
                                            <option value="09">September</option>
                                            <option value="10">October</option>
                                            <option value="11">November</option>
                                            <option value="12">December</option>
                                        </select>
                                </div>
                              
                            </div>

                            <div class="col-lg-4">
                           
                               <select id="year" name="year" class="selectpicker form-control">
                                    <option>year</option>
                                    
                                    <option value="2020">2020</option>
                                    <option value="2021">2021</option>
                                    <option value="2022">2022</option>
                                    <option value="2023">2023</option>
                                    <option value="2024">2024</option>
                                    <option value="2025">2025</option>
                                    
                                </select>
                            
                                
                            </div>
                         
                            <div class="col-lg-4">
                                {{ Form::submit('Submit', ['class'=> 'mt-5 btn btn-primary']) }}
                                {!! Form::close() !!}
                            </div>    

                        </div>   
                    </form>
                    </br>
                        <div class="row">
                            <div class="col-lg-12">
                                <form method="get" action="{{action('profitController@listProfit')}}" accept-charset="UTF-8">
                                    @csrf
                                        <div class="form-group mb-0">
                                        <input type="submit" value="Personal" id="plan" name="plan">
                                        <input type="submit" value="Group" id="plan" name="plan">
                                        <input type="submit" value="Short-Long" id="plan" name="plan">
                                        
                                        </div>
                                </form>
                             </div>  
                        </div>        
                <div class="card-body p-0">
                    <div class="table-responsive">
                        <div>
                <!-- Table Condition Starts Here -->
                @if($status == 0)
                            <table class="table table-hover align-items-center">
                                <thead class="thead-light">
                                <tr>
                                    <th scope="col">Plans</th>
                                    
                                    <th scope="col">Deposit Amount</th>
                                   
                                    <th scope="col">Profit Amount</th>
                                    
                                    <!-- <th scope="col">Photo</th> -->
                                   
                                </tr>
                                </thead>
                                <tbody class="list">
                               <!-- Start Foreach Function Here -->
                               @foreach($users as $user)
                                    <tr>
                                        <th scope="row">
                                            @if($user->id == 1)
                                                   Total Personal Investment
                                            @elseif($user->id == 2)
                                                   Total Group Investment
                                            @elseif($user->id == 3)
                                                   Total Short/Long Term Investment
                                            @endif
                                           
                                        </th>
                                       
                                        <td class="budget">
                                        {{ number_format($user->dep_amount,2) }} PKR
                                        </td>

                                        
                                        

                                        <td class="budget">
                                        {{ number_format($user->profit_amount,2) }} PKR
                                        </td>

                                       
                                       
                                       

                                       </tr>
                            <!-- End ForEach Function Here -->
                            @endforeach
                                </tbody>
                                <tfoot >
                                <tr>
                                    <td colspan="6">
                                       
                                    </td>
                                </tr>
                                </tfoot>
                            </table>
                        </div>

                 <!-- Table Condition Ends Here -->
                @elseif($status == 1)

                 <table class="table table-hover align-items-center">
                                <thead class="thead-light">
                                <tr>
                                    <th scope="col">User-ID</th>
                                    
                                    <th scope="col">Deposit Amount</th>

                                    <th scope="col">Percentage %</th>

                                    <th scope="col">Profit Amount</th>

                                    <th scope="col">Profit Date</th>

                                    <!-- <th scope="col">Photo</th> -->
                                   
                                </tr>
                                </thead>
                                <tbody class="list">
                               <!-- Start Foreach Function Here -->
                               @foreach($users as $user)
                                    <tr>
                                        <th scope="row">
                                          
                                        HT-{{$user->id}}  
                                        
                                        </th>
                                       
                                        <td class="budget">
                                        {{ number_format($user->dep_amount,2) }} PKR
                                        </td>

                                        
                                        <td>
                                            {{$user->percentage}}%
                                        </td>
                                        

                                        <td class="budget">
                                        {{ number_format($user->profit_amount,2) }} PKR
                                        </td>

                                       
                                        <td>
                                            {{$user->created_at}}
                                        </td>
                                        
                                       

                                       </tr>
                            <!-- End ForEach Function Here -->
                            @endforeach
                                </tbody>
                                <tfoot >
                                <tr>
                                    <td colspan="6">
                                       
                                    </td>
                                </tr>
                                </tfoot>
                            </table>
                        </div>


                     @endif   
                    <!-- Ends Condtion Here -->

                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@push('scripts')
    <script>
        jQuery(document).ready(function(){
            $('.delete').on('click', function(e){
                e.preventDefault();
                let that = jQuery(this);
                jQuery.confirm({
                    icon: 'fas fa-wind-warning',
                    closeIcon: true,
                    title: 'Are you sure!',
                    content: 'You can not undo this action.!',
                    type: 'red',
                    typeAnimated: true,
                    buttons: {
                        confirm: function () {
                            that.parent('form').submit();
                            //$.alert('Confirmed!');
                        },
                        cancel: function () {
                            //$.alert('Canceled!');
                        }
                    }
                });
            })
        })

    </script>
@endpush
