@extends('layouts.app')
@push('pg_btn')
    <a href="{{route('users.index')}}" class="btn btn-sm btn-neutral">All Users</a>
@endpush
@section('content')
    <div class="row">
        <div class="col-md-12">
            <div class="card mb-5">
                <div class="card-body">
                    @can('update-user')
                    {!! Form::open(['route' => ['users.update', $user], 'method'=>'put', 'files' => true]) !!}
                    @endcan
                    <h6 class="heading-small text-muted mb-4">User information</h6>
                        <div class="pl-lg-4">
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        {{ Form::label('name', 'Name', ['class' => 'form-control-label']) }}
                                        {{ Form::text('name', $user->name, ['class' => 'form-control']) }}
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        {{ Form::label('nic', 'CNIC/Passport', ['class' => 'form-control-label']) }}
                                        {{ Form::number('nic', $user->nic, ['class' => 'form-control']) }}
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        {{ Form::label('amount', 'Invest Amount (PKR)', ['class' => 'form-control-label']) }}
                                        {{ Form::text('amount', $deposit->amount, ['class' => 'form-control']) }}
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        {{ Form::label('email', 'E-mail', ['class' => 'form-control-label']) }}
                                        {{ Form::email('email' , $user->email, ['class' => 'form-control']) }}
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        {{ Form::label('phone_number', 'Phone number', ['class' => 'form-control-label']) }}
                                        {{ Form::text('phone_number', $user->phone_number, ['class' => 'form-control']) }}
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        {{ Form::label('ondate', 'On Date', ['class' => 'form-control-label']) }}
                                        {{ Form::text('ondate', $deposit->ondate, ['class' => 'form-control']) }}
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        {{ Form::label('profile_photo', 'Photo', ['class' => 'form-control-label d-block']) }}
                                        <div class="input-group">
                                            <span class="input-group-btn">
                                              <a id="uploadFile" data-input="thumbnail" data-preview="holder" class="btn btn-secondary">
                                                <i class="fa fa-picture-o"></i> Choose Photo
                                              </a>
                                            </span>
                                            <input id="thumbnail" class="form-control d-none" type="text" name="profile_photo">
                                        </div>
                                </div>
                            </div>
                                <input hidden id="role" class="form-control" type="number"   name="role" value="{{  $user->roles }}">
                                 
                                 <input hidden id="password" class="form-control" type="number"   name="password" >
                                  
                                 <input hidden id="password_confirmation" class="form-control" type="number"   name="password_confirmation" value="">


                            <div class="row">
                                <div class="col-md-3">
                                            @if ($user->profile_photo)
                                                <a href="{{ asset($user->profile_photo) }}" target="_blank">
                                                    <img alt="Image placeholder"
                                                    class="avatar avatar-xl  rounded-circle"
                                                    data-toggle="tooltip" data-original-title="{{ $user->name }} Logo"
                                                    src="{{ asset($user->profile_photo) }}">
                                                </a>
                                            @endif
                                    </div>
                                 
                                
                                 <div class="col-lg-3">
                                 @if ($deposit->withdrawable && $deposit->investment_id == 3)
                                        <label id="profit_label" >Profit</label>
                                        <input  type="text" id="profit" name="profit" class="form-control" value="{{$deposit->withdrawable}}">
                                @endif
                                 </div>  

                                 <div class="col-lg-6">
                                        <div class="form-group">
                                            {{ Form::label('title', 'Investment Type', ['class' => 'form-control-label']) }}
                                             
                                            {{ Form::select('title', $investment_type, $deposit->investment_id, [ 'class'=> 'selectpicker form-control', 'placeholder' => 'Select Type...']) }}
                                        
                                        </div>
                                </div>
                            
                            </div>
                        </div>
                        <hr class="my-4" />
                        <!-- Address -->
                       
                        <hr class="my-4" />
                        <div class="pl-lg-4">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="custom-control custom-checkbox">
                                        {!! Form::hidden('status', 0) !!}
                                        <input type="checkbox" name="status" value="1" {{ $user->status ? 'checked' : ''}} class="custom-control-input" id="status">
                                        {{ Form::label('status', 'Status', ['class' => 'custom-control-label']) }}
                                    </div>
                                </div>
                                @can('update-user')
                                <div class="col-md-12">
                                    {{ Form::submit('Submit', ['class'=> 'mt-5 btn btn-primary']) }}
                                </div>
                                @endcan
                            </div>
                        </div>
                    @can('update-user')
                    {!! Form::close() !!}
                    @endcan
                </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@push('scripts')
    <script src="{{ asset('vendor/laravel-filemanager/js/stand-alone-button.js') }}"></script>
    <script>
        jQuery(document).ready(function(){
            jQuery('#uploadFile').filemanager('file');
        })
    </script>

        <script>

jQuery(document).ready(function(){   
            
            $('#title').bind('change', function(el) {
               //Use $option (with the "$") to see that the variable is a jQuery object
                var $option = $(this).find('option:selected');
                var profit = document.querySelector('#profit');
                var profit_lable = document.querySelector('#profit_label');
                //Added with the EDIT
                var value = $option.val();//to get content of "value" attrib
                if (value == 3){

                    profit.style.display = "block";
                    profit_label.style.display = "block";
                    

                }else{

                    profit.style.display = "none";
                    profit_label.style.display = "none";

                }

            
            });
            
        });


        </script>

@endpush
